
;Copy OneOnOne 1.00
;Copyright (c) 2022, Tycho Veltmeijer.
;All rights reserved.

subportedProtocols:
TVS_SOFTWARE_BACKUP_SYSTEM db 'TVS_SOFTWARE_BACKUP_SYSTEM',0
db 0
endSubportedProtocols:

ConnectedPeople dd 0

protocolName db 'Copy OneOnOne',0
endProtocolName:

;----------Option Author
option_author_displayname db 'Created by',0
author db 'Tycho Veltmeijer',0

;-- userValue option Author
option_author_default_struct:
dd TD_ASCII_STRING
dd 0
pointer author  ;<- default value
;-- userValue end option Author

;----------Option Version
option_version_displayname db 'Version',0
versionStr db PLUGIN_VERSION,0

;-- userValue option Version
option_version_default_struct:
dd TD_ASCII_STRING
dd 0
pointer versionStr  ;<- default value
;-- userValue end option Version

;----------userValue MaxTimeout (5)
option_5_displayname db 'Maximum timeout (milliseconds)',0

;-- userValue option MaxTimeout (5)
option_5_default_struct:
dd TD_INTEGER
dd 0
pointer 1000*5  ;<- default value (=5 seconds)
;-- userValue end option MaxTimeout (5)

;----------userValue Option receive buffer (4)
option_4_displayname db 'Maximum receive buffer (bytes)',0

;-- userValue option receive buffer (4)
option_4_default_struct:
dd TD_INTEGER
dd 0
pointer 1024*1024*5  ;<- default value (=5MB)
;-- userValue end option receive buffer (4)

psess_limit_connections pointer ?

;ControlPanelOptions structure
httpControlPanelOptions:
dd endHttpControlPanelOptions-httpControlPanelOptions ;size
dd 0;reserved
;--member main
dd 8 + (psize*2) ;size
dd GDPD_NAME_IS_INTEGER ;flags
pointer 0 ;name
pointer protocolName ;optionName
;--end main

;member subOptions[4]
suboption4:
dd endSuboption4-suboption4 ;size
dd CPO_GEN_LISTENSESSION_OPTION or GDPD_NAME_IS_INTEGER ;flags
pointer CPO_NAME_MAX_SIZE ;name
pointer option_4_displayname ;optionName
pointer 0                    ;description
pointer 0 ;groupName
pointer 0 ;iconURL
pointer 0 ;bigIconURL
pointer 0 ;menuURL
pointer option_4_default_struct ;userValue
endSuboption4:
;end subOptions[4]

;member subOptions[5]
suboption5:
dd endSuboption5-suboption5 ;size
dd CPO_GEN_LISTENSESSION_OPTION or GDPD_NAME_IS_INTEGER ;flags
pointer CPO_NAME_MAX_TIMEOUT ;name
pointer option_5_displayname ;optionName
pointer 0                    ;description
pointer 0 ;groupName
pointer 0 ;iconURL
pointer 0 ;bigIconURL
pointer 0 ;menuURL
pointer option_5_default_struct ;userValue
endSuboption5:
;end subOptions[5]

;member subOptions[8]
suboption8:
dd endSuboption8-suboption8 ;size
dd CPO_GEN_PROTOCOL_OPTION or GDPD_NAME_IS_INTEGER  or CPO_GEN_READONLY;flags
pointer CPO_NAME_VERSION ;name
pointer option_version_displayname ;optionName
pointer 0                    ;description
pointer 0 ;groupName
pointer 0 ;iconURL
pointer 0 ;bigIconURL
pointer 0 ;menuURL
pointer option_version_default_struct ;userValue
endSuboption8:
;end subOptions[8]

;member subOptions[9]
suboption9:
dd endSuboption9-suboption9 ;size
dd CPO_GEN_PROTOCOL_OPTION or GDPD_NAME_IS_INTEGER  or CPO_GEN_READONLY;flags
pointer CPO_NAME_AUTHOR ;name
pointer option_author_displayname ;optionName
pointer 0                    ;description
pointer 0 ;groupName
pointer 0 ;iconURL
pointer 0 ;bigIconURL
pointer 0 ;menuURL
pointer option_author_default_struct ;userValue
endSuboption9:

endHttpControlPanelOptions:
;end ControlPanelOptions